<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>In conclusion (part 1)</h1>

<ul>
<li> Frama-C is a real open source tool.

<li> Not as hard to use as I imagined.

<li> Mostly useful for small functions. <br>
<big>→</big> For large functions look at constructive proofs in WhyML.

<li> Forces you to think very hard about assumptions and corner cases.

<li> Very well documented, questions answered quickly on stackoverflow.
</ul>
